Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.model.home
Class SummaryModel

    java.lang.Object
      portlets.compoze.groupware.model.AbstractModel
          portlets.compoze.groupware.model.home.HomeModel
              portlets.compoze.groupware.model.home.SummaryModel

All Implemented Interfaces:
  java.io.Serializable

public class SummaryModel
extends HomeModel
implements java.io.Serializable

This class represents the data model for the mail home page (`home.jsp`).

See Also:
  Serialized Form

Constructor Summary
`SummaryModel(portlets.compoze.groupware.controls.provider.ProviderCapabilities capabilities, FeatureGroup featureGroup, GroupwarePreferences groupwarePrefs, HomePreferences homePrefs, TasksPreferences taskPrefs, Accounts accounts)` Constructor.

Method Summary
`Appointment[]` | `getAppointments()` Gets the appointments.
`Day[]` | `getCalendarDays()` Gets the calendar days.
`java.util.Date` | `getCalendarEndDate()` Gets the calendar end date.
`int` | `getCalendarModelType()` Gets the calendar model type.
`java.util.Date` | `getCalendarStartDate()` Gets the calendar start date.
`HomeModel` | `getCalendarSummaryModel()` Gets the calendar summary model.
`Folder` | `getDrafts()` Gets the drafts folder.
`Folder` | `getInbox()` Gets the inbox folder.
`Folder` | `getSent()` Gets the sent folder.
`Task[]` | `getTasks()` Gets the tasks.
`TasksPreferences` | `getTasksPreferences()` Gets the tasks preferences.
`java.lang.String` | `getTimeString(java.util.Date date)` Gets the localized time string for the specified time.
`Folder` | `getTrash()` Gets the trash folder.
`void` | `setAppointments(Appointment[] appointments)` Sets the appointments.
`void` | `setCalendarSummaryModel(HomeModel calendarSummaryModel)` Sets the calendar summary model.
`void` | `setDrafts(Folder drafts)` Sthe drafts folder.
`void` | `setInbox(Folder inbox)` Sets the inbox folder.
`void` | `setSent(Folder sent)` Sets the sent folder.
`void` | `setTasks(Task[] tasks)` Sets the tasks.
`void` | `setTrash(Folder trash)` Sets the trash folder.

Methods inherited from class portlets.compoze.groupware.model.home.HomeModel
`getDateString, getFeature, getHomePreferences, isOnlyOneFeatureAvailable`

Methods inherited from class portlets.compoze.groupware.model.AbstractModel
`getAccounts, getActualTitle, getFeatureGroup, getGroupwarePreferences, getImAccount, getProviderCapabilities, getTitle, getTitleArgs, getTitleCrumbTrailKeys, isImAvailable, setActualTitle, setImAccount, setImAvailable, setTitle, setTitleArgs, setTitleCrumbTrailKeys`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SummaryModel

    public SummaryModel(portlets.compoze.groupware.controls.provider.ProviderCapabilities capabilities,
                        FeatureGroup featureGroup,
                        GroupwarePreferences groupwarePrefs,
                        HomePreferences homePrefs,
                        TasksPreferences taskPrefs,
                        Accounts accounts)

  Constructor.

Parameters:
  `capabilities` - the capabilities of the provider (may not be `null`)
  `featureGroup` - the feature group (may not be `null`)
  `groupwarePrefs` - the groupware preferences (may not be `null`)
  `homePrefs` - the home preferences (may not be `null`)
  `taskPrefs` - the task preferences (may not be `null`)

Method Detail

### getTasksPreferences

    public TasksPreferences getTasksPreferences()

  Gets the tasks preferences.

  Returns:
    the tasks preferences

### getCalendarDays

    public Day[] getCalendarDays()

  Gets the calendar days.

  Returns:
    an array of calendar days to display

### getCalendarStartDate

    public java.util.Date getCalendarStartDate()

  Gets the calendar start date.

  Returns:
    the calendar start date

### getCalendarEndDate

    public java.util.Date getCalendarEndDate()

  Gets the calendar end date.

  Returns:
    the calendar end date

### getInbox

    public Folder getInbox()

  Gets the inbox folder.

  Returns:
    the inbox folder

### setInbox

    public void setInbox(Folder inbox)

  Sets the inbox folder.

  Parameters:
    `inbox` - the inbox folder (may not be `null`)

### getDrafts

    public Folder getDrafts()

  Gets the drafts folder.

  Returns:
    the drafts folder

### setDrafts

    public void setDrafts(Folder drafts)

  Sthe drafts folder.

  Parameters:
    `drafts` - the drafts folder (may not be `null`)

### getSent

    public Folder getSent()

  Gets the sent folder.

  Returns:
    the sent folder

### setSent

    public void setSent(Folder sent)

  Sets the sent folder.

  Parameters:
    `sent` - the sent folder (may not be `null`)

### getTrash

    public Folder getTrash()

  Gets the trash folder.

  Returns:
    the trash folder

### setTrash

    public void setTrash(Folder trash)

  Sets the trash folder.

  Parameters:
    `trash` - the trash folder (may not be `null`)

### getAppointments

    public Appointment[] getAppointments()

  Gets the appointments.

  Returns:
    the appointments

### setAppointments

    public void setAppointments(Appointment[] appointments)

  Sets the appointments.

  Parameters:
    `appointments` - the appointments (may not be `null`)

### getTasks

    public Task[] getTasks()

  Gets the tasks.

  Returns:
    the tasks

### setTasks

    public void setTasks(Task[] tasks)

  Sets the tasks.

  Parameters:
    `tasks` - the tasks (may not be `null`)

### getTimeString

    public java.lang.String getTimeString(java.util.Date date)

  Gets the localized time string for the specified time.

  Overrides:
    `getTimeString` in class `HomeModel`
  Parameters:
    `date` - the time
  Returns:
    the localized time string for the specified time

### setCalendarSummaryModel

    public void setCalendarSummaryModel(HomeModel calendarSummaryModel)

  Sets the calendar summary model.

  Parameters:
    `calendarSummaryModel` - the calendar summary model (may not be `null`) and must be an instance of the `DayViewHomeModel`, `WeekViewHomeModel`, or `MonthViewHomeModel` class

### getCalendarSummaryModel

    public HomeModel getCalendarSummaryModel()

  Gets the calendar summary model.

  Returns:
    the calendar summary model

### getCalendarModelType

    public int getCalendarModelType()

  Gets the calendar model type.

  Returns:
    the calendar model type

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.